Subject: Re: [PATCH net-next v3] net: usb: remove unnecessary get_drvinfo code and driver versions

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Jan 2026 18:58:56 -0800

On Mon, 26 Jan 2026 22:04:38 -0800 Ethan Nelson-Moore wrote:
> Many USB network drivers define get_drvinfo functions which add no
> value over usbnet_get_drvinfo, only setting the driver name and
> version. usbnet_get_drvinfo automatically sets the driver name, and
> separate driver versions are now frowned upon in the kernel. Remove all
> driver versions and replace these get_drvinfo functions with references
> to usbnet_get_drvinfo where possible. Where that is not possible,
> remove unnecessary code to set the driver name. Also remove two
> unnecessary initializations from aqc111_get_drvinfo, an inaccurate
> comment in pegasus.c, and an unused macro in catc.c.

I slightly lost track of the conversations on your patches so forgive
a possibly obvious statement :) - but this did not apply cleanly to
net-next at the time of posting. So it needs a respin.
-- 
pw-bot: cr